Page MenuHomePhabricator

Images are too small in MobileFrontend
Closed, DuplicatePublic

Description

Larger devices

Normal thumbnails on Nexus 7, portrait mode

On larger devices, especially tablets, images in articles are usually too small.

This is usually even more dramatic in landscape mode, even when the layout switches to having the images and text next to each other.

It's even more dramatic when the images have the 'upright' parameter, which makes the mobile images extra small.

See attached screenshots from a Nexus 5 and a Nexus 7.


Version: unspecified
Severity: enhancement

Attached:

Galleries

The problem is also highly noticeable on gallery pages for example http://en.m.wikipedia.beta.wmflabs.org/wiki/Gallery

Details

Reference
bz63134

Related Objects

StatusAssignedTask
OpenNone
OpenNone
ResolvedKrenair
OpenNone
ResolvedJdlrobson
DuplicateNone
ResolvedJdforrester-WMF
InvalidEdokter
StalledNone
OpenNone
DeclinedNone
Resolvedssastry
ResolvedbearND
ResolvedbearND
ResolvedbearND
ResolvedbearND
OpenNone
ResolvedJhernandez
OpenNone
Resolvedmarcoil
ResolvedCatrope
Resolvedmarcoil
ResolvedArlolra
ResolvedArlolra
Resolved GWicke
Resolved GWicke
Resolved GWicke
Resolvedfgiunchedi
Resolvedfgiunchedi
ResolvedCmjohnson
ResolvedCmjohnson
ResolvedJoe
Resolvedfgiunchedi
Resolved GWicke
Resolved Jdouglas
Resolved GWicke
Resolved GWicke
ResolvedArlolra
Resolved GWicke
Resolvedmobrovac
Resolvedmobrovac
Resolvedmobrovac
Resolvedmobrovac
Duplicate Jdouglas
ResolvedAndrew
Resolved GWicke
Resolvedfgiunchedi
Resolvedfgiunchedi
Resolvedfgiunchedi
ResolvedEevans
Resolvedfgiunchedi
Resolved GWicke
Resolved GWicke
Resolvedfgiunchedi
Resolvedmobrovac
Resolved GWicke
Resolved GWicke
Resolved AlexMonk-WMF
Resolvedsanthosh
Resolvedssastry
ResolvedMholloway
ResolvedJackmcbarn
ResolvedRenxiaoyi
Resolvedcscott
ResolvedKelson
OpenNone
OpenNone
OpenNone
ResolvedArlolra
ResolvedArlolra
OpenNone
Opencscott
OpenRenxiaoyi
OpenSBisson
DeclinedNone
DeclinedNone
DeclinedNone
OpenNone
OpenNone
InvalidNone
InvalidNone
DuplicateNone
DuplicateNone
ResolvedJhernandez
ResolvedJdlrobson
DuplicatePeter
Resolvedbmansurov
OpenNone
DuplicateNone
Resolvednray
Resolvedphuedx
ResolvedAnomie
ResolvedAnomie
ResolvedAnomie
ResolvedEBernhardson
ResolvedAnomie
ResolvedAnomie
OpenNone
DuplicateNone
ResolvedNone
Resolvedphuedx
DeclinedNone

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 3:05 AM
bzimport set Reference to bz63134.
bzimport added a subscriber: Unknown Object (MLST).
Ragesoss created this task.Mar 26 2014, 7:29 PM

bingle-admin wrote:

Prioritization and scheduling of this bug is tracked on Mingle card https://wikimedia.mingle.thoughtworks.com/projects/mobile/cards/1803

Created attachment 14919
Upright thumb image on Nexus 7, portrait mode

Attached:

Created attachment 14920
Upright thumbnail on Nexus 7, landscape mode

Attached:

Created attachment 14921
Normal thumbnail on Nexus 5, portrait mode

Attached:

Created attachment 14922
Normal thumbnails on Nexus 5, landscape mode

Attached:

I've created a new story card in Mingle to track new work on this as this is an enhancement (https://wikimedia.mingle.thoughtworks.com/projects/mobile/cards/1824). This is likely something we'll need to tackle before we start automatically redirecting tablets to MobileFrontend.

In the https://en.m.wikipedia.org/wiki/Rittergut_K%C3%BCrbitz article the image at the top is declared in wikitext using:

[[File:Rittergut Kürbitz um 1860.jpg|thumb|The feudal estate, around 1860]]

It seems when no width parameter is given it defaults to 220px. Maybe it should default to something higher? I'm not sure where this is configured though... but not much we can do in MobileFrontend.

Make images on large screens float like on desktop?

Possibly something we could fix if we transitioned to Parsoid...

kaldari removed a subscriber: kaldari.Oct 1 2015, 6:16 PM
Jdlrobson moved this task from Backlog to Bugs on the MobileFrontend board.Nov 4 2015, 5:01 PM

I think it's okay to keep this on the backlog. I think further design iteration, taking bandwidth consumption into consideration, needs to take place before we can scope the engineering effort.

@dr0ptp4kt agreed. @Nirzar might prioritize this for design work as I know the app teams were very happy with the results of enlargening app images ;)

Jdlrobson renamed this task from images are too small on tablets and large phones to images are too small.May 18 2016, 12:24 AM
Jdlrobson updated the task description. (Show Details)

This is article on czech wikipedia in app. Look at that resolution.

@Dominikmatus What phone is that? I'm guessing it has a hiDpi display, and IIRC not long ago hi-res images using srcset were disabled in mobile web in favor of a faster experience.

If the resulting experience is as bad as you show there, it is important that we document it and push to revert the srcset removal.

I'd encourage you to create a new bug about the blurry images and that you attach phone model and screenshots and see where that gets us. This task is not about that problem.

Thanks!

If the resulting experience is as bad as you show there, it is important that we document it and push to revert the srcset removal.

yes that change did impact our apps. but improved the web? in any case, ideally if we can serve up things based on the client, that would be great.

as far as the experience goes, bigger images is a feature on apps. bigger images make the article look media rich. combination of textual content with large images is a qualitative improvement.

Quiddity removed a subscriber: Quiddity.May 19 2016, 4:49 PM

@Jhernandez note the apps have a specific workaround for this bug. They read srcset and expand the image. This image has no larger resolution and this is a hack so breaks. I thus agree with @Nirzar.

Here's how it looks on web (which is what we're talking about in this bug)
https://cs.wikipedia.org/wiki/Kostel_V%C5%A1ech_svat%C3%BDch_(P%C5%99eska%C4%8De)

Hello, I reported it, but somebody merged it with this. And, I'm using Samsung Galaxy S5 mini.

Quiddity renamed this task from images are too small to Images are too small in MobileFrontend.Jan 30 2017, 8:43 PM